Skip to main content
GET
/
mailbox
/
folders
/
{folder_id}
Get a mailbox folder
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/folders/{folder_id} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "id": "<string>",
    "name": "<string>",
    "parent_id": "<string>",
    "role": "<string>",
    "sort_order": 123,
    "total_messages": 123,
    "unread_messages": 123,
    "can_add_items": true
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

If-None-Match
string

Path Parameters

folder_id
string
required

Query Parameters

mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Response

Folder

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required